Subject: RE: draft-ietf-mpls-label-encaps-07

From: "Abes, Andi" <[email-masked]>
Date: Wed, 19 Jan 2000 11:33:01 -0500

Actually,
If the LSP's are setup using RSVP, you can signall the L3PID 
during the setup phase.
LDP/CR-LDP do not yet have such an option.

Andi.

> -----Original Message-----
> From: Shahram Davari [mailto:[email-masked]]
> Sent: Wednesday, January 19, 2000 11:28 AM
> To: 'Vishal Sinha'; [email-masked]
> Subject: RE: draft-ietf-mpls-label-encaps-07
> 
> 
> Hi,
> 
> I think since the other PIDs are not related to this document 
> they are not
> mentioned. But if you want PID for IP is: 0x0021, and in fact 
> there is a PID
> for any other protocol which you can find it in RFC-1700. Now 
> what if a L3
> protocol is encapsulated in MPLS. Then the way to find that 
> L3 protocol I
> think is by partitioning the label space between those protocols.
> 
> -Shahram
> 
> > -----Original Message-----
> > From: Vishal Sinha [mailto:[email-masked]]
> > Sent: Wednesday, January 19, 2000 11:07 AM
> > To: [email-masked]
> > Subject: draft-ietf-mpls-label-encaps-07
> > 
> > 
> > Hi,
> > 
> > While going through the 'draft-ietf-mpls-label-encaps-07', I did not
> > understood how are we going to differentiate labeled packets 
> > and unlabeled
> > packets.
> > 
> > From what I understood, the labeled packets use the protocol id 
> > 0x0281 (unicast) and 0x0283 (multicast) but there is no mention for
> > unlabeled packet's protocol id. 
> > 	Moreover, the unlabeled packets can be of type IP and
> > ISO. Shouldn't we have a separate protocol id for both of them?
> > 
> > Please enlighten me.
> > 
> > Thanks,
> > 
> > Vishal
> > 
>